package test.mesolevel.newsynapsecreation;
import motorunit.*;
public class NewSynapseCreationScenario 
                            extends ScenarioBuilder{
   private Neuron n1, n2, n3;
   private TestEnvironment testEnv;

   @Override
   protected void buildElements() {            
      testEnv = getTestEnvironment();
      n1 = new Neuron("Neuron-1");
      testEnv.add(n1);
      n2 = new Neuron("Neuron-2");
      testEnv.add(n2);
      n3 = new Neuron("Neuron-3");
      testEnv.add(n3);
      double axonalDelay = 10.0;
      n1.makeSynapseWith(n2, axonalDelay);
      n2.makeSynapseWith(n3, axonalDelay);
   }
}
